program nadovezivanje;
var a,b,c,max:int64;
begin
read(a,b,c);
a:=int64tostr(a);
b:=int64tostr(b);
c:=int64tostr(c);
max:=strtoint(a+b+c);
if strtoint64(a+c+b)>max then
max:=strtoint64(a+c+b);
if strtoint64(b+a+c)>max then
max:=strtoint64(b+a+c);
if strtoint64(b+c+a)>max then
max:=strtoint64(b+c+a);
if strtoint64(c+b+a)>max then
max:=strtoint64(c+b+a);
if strtoint64(c+a+b)>max then
max:=strtoint64(c+a+b);
write(max);
end.